From 23ac5315daad59357ebebe2f2768684240b726d2 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Dec 20 2023 06:52:48 +0000
Subject: [PATCH 14/19] [gthumb]: upgrade to v3.12.4


---

diff --git a/nonprism/gthumb/PKGBUILD b/nonprism/gthumb/PKGBUILD
index 08439a4..e6f67ea 100644
--- a/nonprism/gthumb/PKGBUILD
+++ b/nonprism/gthumb/PKGBUILD
@@ -1,50 +1,82 @@
-# $Id$
-# Maintainer (arch): Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
+# Maintainer (arch): Jan Alexander Steffens (heftig) heftig@archlinux.org>
 # Contributor: Jan de Groot <jgc@archlinux.org>
 # Contributor: Tobias Kieslich <tobias@justdreams.de>
 # Contributor: Andreas Grapentin <andreas@grapentin.org>
 # Contributor: André Silva <emulatorman@hyperbola.info>
 # Contributor: Márcio Silva <coadde@hyperbola.info>
+# Maintainer: Parabola Hackers <dev@lists.parabola.nu>
+
 
 # parabola changes and rationale:
-#  - removed support for possibly unsafe protocols
+# privacy:
+# - removed support for possibly unsafe protocols
+# technical:
+# - use upstream source-ball rather than VCS sources
+
 
 pkgname=gthumb
-pkgver=3.8.3
+pkgver=3.12.4
 pkgrel=1
 pkgrel+=.nonprism1
-pkgdesc="Image browser and viewer for the GNOME Desktop, without support for unsafe and dangerous for privacy protocols"
+pkgdesc="Image browser and viewer for the GNOME Desktop"
+pkgdesc+=", without support for unsafe and dangerous for privacy protocols"
 url="https://wiki.gnome.org/Apps/gthumb"
-arch=(x86_64 i686 armv7h)
+arch=(x86_64)
+arch+=(armv7h i686)
 license=(GPL)
-depends=(dconf librsvg clutter-gtk gst-plugins-base-libs gsettings-desktop-schemas libwebp
-         libsecret libsoup webkit2gtk json-glib gtk3-print-backends)
-makedepends=(libchamplain exiv2 brasero libraw liboauth docbook-xsl yelp-tools meson git)
-optdepends=('libraw: read RAW files'
-            'exiv2: metadata support'
-            'libchamplain: map viewer'
-            'brasero: burn discs'
-            'liboauth: web albums')
-_commit=ca8f528209ab78935c30e42fe53bdf1a24f3cb44  # tags/3.8.3^0
-source=("git+https://gitlab.gnome.org/GNOME/gthumb.git#commit=$_commit"
-        nonprism.patch)
-sha256sums=('SKIP'
-            'ec0e5fdf9b7d48b90821e9ce9f7fdacc60fd843183c27479854d33f457805796')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
+depends=(
+  clutter-gtk
+  dconf
+  gsettings-desktop-schemas
+  gst-plugin-gtk
+  gst-plugins-base-libs
+  json-glib
+  libheif
+  libjxl
+  librsvg
+  libsecret
+  libsoup
+  libwebp
+  webkit2gtk
+)
+makedepends=(
+  brasero
+  docbook-xsl
+  exiv2
+  git
+  liboauth
+  libraw
+  meson
+  yelp-tools
+)
+optdepends=(
+  'brasero: burn discs'
+  'exiv2: metadata support'
+  'liboauth: web albums'
+  'libraw: read RAW files'
+)
+# we use source-ball
+source=(
+  https://gitlab.gnome.org/GNOME/gthumb/-/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz
+)
+source+=( nonprism.patch )
+b2sums=('be952a6ce111137c35501252459e884307e2e43962cf877b30c9fae7ab8af3c8e9341fd0a331201e4eeff829319362362f12079a108ef8f6b1b40adf5304d51c')
+b2sums+=('83f8e250b1483ff88ba1d6f12230fb7c3c23b51b9716855192263400c89136d33f513673763ef3e1a53effba3416f0513e96e0a747ccfcc0398280a6a6560270')
+
 
 prepare() {
+  ln -s ${pkgname}-${pkgver} $pkgname # minimize diff
+
   cd $pkgname
-  patch --verbose -Np1 -i ../nonprism.patch			# Set meson_options to build without webservices
-  rm ./data/icons/private/hicolor/16x16/actions/site-*.png   	# Get rid of the logos 
+
+  echo "applying nonprism.patch"
+  patch --verbose -Np1 -i ../nonprism.patch                # disable webservices build
+  rm ./data/icons/private/hicolor/16x16/actions/site-*.png # delete logos
 }
 
 build() {
-  arch-meson $pkgname build -D libchamplain=true
-  ninja -C build
+  arch-meson gthumb build
+  meson compile -C build
 }
 
 check() {
@@ -52,5 +84,5 @@ check() {
 }
 
 package() {
-  DESTDIR="$pkgdir" meson install -C build
+  meson install -C build --destdir "$pkgdir"
 }
